
(function (angular) {
    'use strict';
    /* Services */
    angular.module('reports.services', ['ngResource']).
        factory('CourseUserReport', function($resource){
            return $resource(BASE_API_URL + '/reports', {}, {
            });
        }).factory('LessonsUserProgress', function($resource){
            return $resource(BASE_API_URL + '/lessons_user_progress/:courseId', {}, {
            });
        }).factory('CourseStats', function($resource){
            return $resource(BASE_API_URL + '/course_stats/:courseId', {}, {
            });
        }).factory('GeneralSummary', function($resource){
            return $resource(BASE_API_URL + 'summary', {}, {
            });
        }).factory('Contract', function($resource){
            return $resource(BASE_API_URL + '/contract', {}, {
            });
        });
})(angular);
